> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /florida/companies

> Get a Florida business's registry record from the Division of Corporations (Sunbiz) by its Document Number: exact name, entity type, FEI/EIN, date filed, jurisdiction, status, last event, principal and mailing addresses, registered agent (name and address), officers/directors (title, name, address), annual reports (year and filed date) and the event/filing history (type, dates, description).

**Price:** 1 credit

**⚠️ Common errors:** 412: No business found for the given Document Number



## OpenAPI

````yaml /openapi/company-registries.json post /api/florida/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/florida/companies:
    post:
      tags:
        - US
      summary: /florida/companies
      description: >-
        Get a Florida business's registry record from the Division of
        Corporations (Sunbiz) by its Document Number: exact name, entity type,
        FEI/EIN, date filed, jurisdiction, status, last event, principal and
        mailing addresses, registered agent (name and address),
        officers/directors (title, name, address), annual reports (year and
        filed date) and the event/filing history (type, dates, description).


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No business found for the given Document
        Number
      operationId: __api_florida_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FloridaCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FloridaCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FloridaCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        document_number:
          type: string
          minLength: 1
      type: object
      required:
        - document_number
    FloridaCompany:
      properties:
        '@type':
          type: string
          default: FloridaCompany
        document_number:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
        fei_ein:
          anyOf:
            - type: string
            - type: 'null'
        date_filed:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        last_event:
          anyOf:
            - type: string
            - type: 'null'
        last_event_at:
          anyOf:
            - type: string
            - type: 'null'
        last_event_effective_at:
          anyOf:
            - type: string
            - type: 'null'
        principal_address:
          anyOf:
            - $ref: '#/components/schemas/FloridaAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/FloridaAddress'
            - type: 'null'
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/FloridaAgent'
            - type: 'null'
        officers:
          items:
            $ref: '#/components/schemas/FloridaOfficer'
          type: array
          default: []
        annual_reports:
          items:
            $ref: '#/components/schemas/FloridaAnnualReport'
          type: array
          default: []
        events:
          items:
            $ref: '#/components/schemas/FloridaEvent'
          type: array
          default: []
        url:
          type: string
      type: object
      required:
        - document_number
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FloridaAddress:
      properties:
        '@type':
          type: string
          default: FloridaAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        changed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FloridaAgent:
      properties:
        '@type':
          type: string
          default: FloridaAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        name_changed_at:
          anyOf:
            - type: string
            - type: 'null'
        address_changed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FloridaOfficer:
      properties:
        '@type':
          type: string
          default: FloridaOfficer
        name:
          anyOf:
            - type: string
            - type: 'null'
        document_number:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FloridaAnnualReport:
      properties:
        '@type':
          type: string
          default: FloridaAnnualReport
        year:
          anyOf:
            - type: string
            - type: 'null'
        filed_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FloridaEvent:
      properties:
        '@type':
          type: string
          default: FloridaEvent
        type:
          anyOf:
            - type: string
            - type: 'null'
        filed_at:
          anyOf:
            - type: string
            - type: 'null'
        effective_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````